1: 2019-11-29 (Fri) 15:31:44 nao-pon source
Line 1: Line 1:
 +* PHP 7.4.0 へアップデートしようとしたらエラー [#u023958f]
 +- configure が通らない
 +-- onigruma のライブラリがない -> libonig-dev をインストール
 +- make -j4 にしたらスワップメモリ不足
 +-- スワップメモリを初期値の 100M から 1G に変更
 +--- /etc/dphys-swapfile の CONF_SWAPSIZE を変更
 + CONF_SWAPSIZE=1024
 +--- dphys-swapfile 再起動 (Ngnix, PHP などを止めたほうがよいと思う)
 + sudo sudo /etc/init.d/php7-fpm stop
 + sudo /etc/init.d/nginx stop
 +
 + sudo systemctl stop dphys-swapfile
 + sudo systemctl start dphys-swapfile
 +
 + sudo /etc/init.d/nginx stat
 + sudo /etc/init.d/php7-fpm start


Front page   Diff Backup Copy Reload   New Page Page list Search Recent changes   Help   RSS of recent changes (RSS 1.0) RSS of recent changes (RSS 2.0) RSS of recent changes (RSS Atom)
Counter: 159, today: 1, yesterday: 1